Skip to main content
GET
/
v1
/
teams
List teams
curl --request GET \
  --url https://api.rootly.com/v1/teams \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.rootly.com/v1/teams"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.rootly.com/v1/teams', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "<string>",
      "type": "groups",
      "attributes": {
        "name": "<string>",
        "created_at": "<string>",
        "updated_at": "<string>",
        "slug": "<string>",
        "description": "<string>",
        "notify_emails": [
          "<string>"
        ],
        "color": "<string>",
        "position": 123,
        "backstage_id": "<string>",
        "external_id": "<string>",
        "pagerduty_id": "<string>",
        "pagerduty_service_id": "<string>",
        "opsgenie_id": "<string>",
        "victor_ops_id": "<string>",
        "pagertree_id": "<string>",
        "cortex_id": "<string>",
        "service_now_ci_sys_id": "<string>",
        "user_ids": [
          123
        ],
        "admin_ids": [
          123
        ],
        "alerts_email_enabled": true,
        "alerts_email_address": "<string>",
        "alert_urgency_id": "<string>",
        "slack_channels": [
          {
            "id": "<string>",
            "name": "<string>"
          }
        ],
        "slack_aliases": [
          {
            "id": "<string>",
            "name": "<string>"
          }
        ],
        "alert_broadcast_enabled": true,
        "alert_broadcast_channel": {
          "id": "<string>",
          "name": "<string>"
        },
        "incident_broadcast_enabled": true,
        "incident_broadcast_channel": {
          "id": "<string>",
          "name": "<string>"
        },
        "auto_add_members_when_attached": true,
        "properties": [
          {
            "catalog_property_id": "<string>",
            "value": "<string>"
          }
        ]
      }
    }
  ],
  "links": {
    "self": "<string>",
    "first": "<string>",
    "prev": "<string>",
    "next": "<string>",
    "last": "<string>"
  },
  "meta": {
    "current_page": 123,
    "next_page": 123,
    "prev_page": 123,
    "total_count": 123,
    "total_pages": 123,
    "next_cursor": "<string>"
  },
  "included": [
    {
      "id": "<string>",
      "type": "<string>",
      "attributes": {},
      "relationships": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

include
enum<string>

comma separated if needed. eg: users

Available options:
users,
schedules,
escalation_policies
page[number]
integer
page[size]
integer
filter[slug]
string
filter[name]
string
filter[backstage_id]
string
filter[cortex_id]
string
filter[opslevel_id]
string
filter[external_id]
string
filter[color]
string
filter[alert_broadcast_enabled]
boolean
filter[incident_broadcast_enabled]
boolean
filter[created_at][gt]
string
filter[created_at][gte]
string
filter[created_at][lt]
string
filter[created_at][lte]
string
filter[slug][eq]
string
filter[slug][not_eq]
string
filter[slug][in]
string
filter[slug][not_in]
string
filter[name][eq]
string
filter[name][not_eq]
string
filter[name][in]
string
filter[name][not_in]
string
filter[color][eq]
string
filter[color][not_eq]
string
filter[color][in]
string
filter[color][not_in]
string
filter[alert_broadcast_enabled][eq]
string
filter[alert_broadcast_enabled][not_eq]
string
filter[alert_broadcast_enabled][in]
string
filter[alert_broadcast_enabled][not_in]
string
filter[incident_broadcast_enabled][eq]
string
filter[incident_broadcast_enabled][not_eq]
string
filter[incident_broadcast_enabled][in]
string
filter[incident_broadcast_enabled][not_in]
string
sort
string

Response

200 - application/vnd.api+json

success

data
object[]
required
meta
object
required
included
object[]